aboutsummaryrefslogtreecommitdiffstats
path: root/main/ngircd/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-02-29 14:10:36 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-02-29 14:10:58 +0000
commitf323f535bf754ad47efbf801bddec59ee984d63f (patch)
tree8e1842d6a21f35bd6eaf7ba6f864a9ce8877de71 /main/ngircd/APKBUILD
parent770eae0fd0130faefbd2e2b176fb6efa3a281d6c (diff)
downloadaports-f323f535bf754ad47efbf801bddec59ee984d63f.tar.gz
aports-f323f535bf754ad47efbf801bddec59ee984d63f.tar.bz2
aports-f323f535bf754ad47efbf801bddec59ee984d63f.tar.xz
main/ngircd: enable pam support
Diffstat (limited to 'main/ngircd/APKBUILD')
-rw-r--r--main/ngircd/APKBUILD8
1 files changed, 5 insertions, 3 deletions
diff --git a/main/ngircd/APKBUILD b/main/ngircd/APKBUILD
index 9a06d94ea6..1489bbf027 100644
--- a/main/ngircd/APKBUILD
+++ b/main/ngircd/APKBUILD
@@ -2,13 +2,13 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ngircd
pkgver=18
-pkgrel=1
+pkgrel=2
pkgdesc="Next Generation IRC Daemon"
url="http://ngircd.barton.de/"
arch="all"
license="GPL"
depends=
-makedepends="openssl-dev zlib-dev"
+makedepends="openssl-dev zlib-dev linux-pam-dev"
install="$pkgname.pre-install"
source="ftp://ftp.berlios.de/pub/$pkgname/$pkgname-$pkgver.tar.gz
$pkgname.initd
@@ -26,7 +26,9 @@ build() {
--sysconfdir=/etc/ngircd \
--mandir=/usr/share/man \
--without-ident \
- --with-openssl
+ --with-openssl \
+ --with-pam \
+ || return 1
make || return 1
}